Commit 181f3cd3 authored by Ben Hutchings's avatar Ben Hutchings

Revert "Compile with gcc-7 on all architectures"

This reverts commit 5dfe04c5.
gcc-7 is not available in stretch.
parent 1e1d6a34
......@@ -2,6 +2,7 @@ linux (4.14.7-1~bpo9+1) UNRELEASED; urgency=medium
* Rebuild for stretch-backports:
- Change ABI number to 0.bpo.2
- Revert changes to use gcc-7 compiler, not found in stretch
-- Ben Hutchings <ben@decadent.org.uk> Fri, 22 Dec 2017 16:31:14 +0000
......@@ -15,7 +15,7 @@ install-stem: vmlinuz
breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99)
[relations]
headers%gcc-7: linux-compiler-gcc-7-x86
headers%gcc-6: linux-compiler-gcc-6-x86
[amd64_description]
hardware: 64-bit PCs
......
......@@ -16,7 +16,7 @@ uncompressed-image-file: arch/arm/boot/Image
install-stem: vmlinuz
[relations]
headers%gcc-7: linux-compiler-gcc-7-arm
headers%gcc-6: linux-compiler-gcc-6-arm
[marvell_description]
hardware: Marvell Kirkwood/Orion
......
......@@ -12,7 +12,7 @@ vdso: true
install-stem: vmlinuz
[relations]
headers%gcc-7: linux-compiler-gcc-7-arm
headers%gcc-6: linux-compiler-gcc-6-arm
[armmp_description]
hardware: ARMv7 multiplatform compatible SoCs
......
......@@ -99,7 +99,7 @@ arches:
sparc64
tilegx
x32
compiler: gcc-7
compiler: gcc-6
featuresets:
none
rt
......@@ -124,7 +124,7 @@ recommends: apparmor
[relations]
# compilers
gcc-7: gcc-7 <!stage1 !cross>, gcc-7-@gnu-type-package@ <!stage1 cross>
gcc-6: gcc-6 <!stage1 !cross>, gcc-6-@gnu-type-package@ <!stage1 cross>
# initramfs-generators
initramfs-fallback: linux-initramfs-tool
......
......@@ -24,5 +24,5 @@ hardware: multiprocessor 64-bit PA-RISC
hardware-long: HP PA-RISC 64-bit SMP systems with support for more than 4 GB RAM
[relations]
gcc-7: gcc-7 <!stage1 !cross>, binutils-hppa64-linux-gnu <!stage1 !cross>, gcc-7-hppa64-linux-gnu <!stage1 !cross>, gcc-7-hppa-linux-gnu <!stage1 cross>, binutils-hppa64-linux-gnu <!stage1 cross>, gcc-7-hppa64-linux-gnu <!stage1 cross>
gcc-6: gcc-6 <!stage1 !cross>, binutils-hppa64-linux-gnu <!stage1 !cross>, gcc-6-hppa64-linux-gnu <!stage1 !cross>, gcc-6-hppa-linux-gnu <!stage1 cross>, binutils-hppa64-linux-gnu <!stage1 cross>, gcc-6-hppa64-linux-gnu <!stage1 cross>
......@@ -20,7 +20,7 @@ install-stem: vmlinuz
breaks: xserver-xorg-input-vmmouse (<< 1:13.0.99)
[relations]
headers%gcc-7: linux-compiler-gcc-7-x86
headers%gcc-6: linux-compiler-gcc-6-x86
[686_description]
hardware: older PCs
......
......@@ -12,7 +12,7 @@ bootloaders: s390-tools
install-stem: vmlinuz
[relations]
headers%gcc-7: linux-compiler-gcc-7-s390
headers%gcc-6: linux-compiler-gcc-6-s390
[s390x_build]
debug-info: true
......
Package: linux-compiler-gcc-7-arm
Package: linux-compiler-gcc-6-arm
Build-Profiles: <!stage1>
Depends: gcc-7, ${misc:Depends}
Depends: gcc-6, ${misc:Depends}
Architecture: armel armhf
Multi-Arch: foreign
Description: Compiler for Linux on ARM (meta-package)
This package depends on gcc 6 of the appropriate architecture for
Linux on armel and armhf.
Package: linux-compiler-gcc-7-s390
Package: linux-compiler-gcc-6-s390
Build-Profiles: <!stage1>
Depends: gcc-7, ${misc:Depends}
Depends: gcc-6, ${misc:Depends}
Architecture: s390 s390x
Multi-Arch: foreign
Description: Compiler for Linux on IBM zSeries (meta-package)
This package depends on gcc 6 of the appropriate architecture for
Linux on s390 and s390x.
Package: linux-compiler-gcc-7-x86
Package: linux-compiler-gcc-6-x86
Build-Profiles: <!stage1>
Depends: gcc-7, ${misc:Depends}
Depends: gcc-6, ${misc:Depends}
Architecture: amd64 i386 x32
Multi-Arch: foreign
Description: Compiler for Linux on x86 (meta-package)
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment